Debian Bug report logs - #473202
util-linux: Don't readd hwclock init script on upgrades

version graph

Package: util-linux; Maintainer for util-linux is LaMont Jones <lamont@debian.org>; Source for util-linux is src:util-linux.

Reported by: Jörg Sommer <joerg@alea.gnuu.de>

Date: Sat, 29 Mar 2008 09:25:54 UTC

Severity: minor

Tags: patch, squeeze-ignore

Merged with 195720, 478822

Found in versions 2.11z-1, util-linux/2.12r-19, util-linux/2.13.1-3, util-linux/2.13.1.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473202; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: util-linux: Don't readd hwclock init script on upgrades
Date: Fri, 28 Mar 2008 11:40:58 +0100
[Message part 1 (text/plain, inline)]
Package: util-linux
Version: 2.13.1-3
Severity: normal

Hi,

I've reordered the sequence of my boot processes and therefore start
hwclock much earlier in the boot sequence than S08. On every upgrade of
the util-linux package the sequence point is set to S08 which breaks my
boot process.

Bye, Jörg

-- System Information:
Debian Release: unstable/experimental
  APT prefers unstable
  APT policy: (900, 'unstable'), (700, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.25-rc7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages util-linux depends on:
ii  libc6                  2.7-9             GNU C Library: Shared libraries
ii  libncurses5            5.6+20080308-1    Shared libraries for terminal hand
ii  libselinux1            2.0.59-1          SELinux shared libraries
ii  libslang2              2.1.3-3           The S-Lang programming library - r
ii  libuuid1               1.40.8-2          universally unique id library
ii  lsb-base               3.2-4             Linux Standard Base 3.2 init scrip
ii  tzdata                 2008b-1           time zone and daylight-saving time
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

util-linux recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473202; Package util-linux. (Thu, 30 Dec 2010 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Thu, 30 Dec 2010 15:15:10 GMT) Full text and rfc822 format available.

Message #10 received at 473202@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 473202@bugs.debian.org
Subject: Re: util-linux: Don't readd hwclock init script on upgrades
Date: Thu, 30 Dec 2010 16:11:53 +0100
severity 473202 serious
tag 473202 squeeze
tag 473202 sid
thanks

apart from the fact that it's a serious bug to not respect users which
to have it disabled, it also breaks *all* container based virtualization
horribly, e.g. lxc. please fix for squeeze, thanks.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'serious' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 15:15:13 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 15:15:13 GMT) Full text and rfc822 format available.

Added tag(s) sid. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 15:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473202; Package util-linux. (Thu, 30 Dec 2010 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Thu, 30 Dec 2010 16:21:03 GMT) Full text and rfc822 format available.

Message #21 received at 473202@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 473202@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: util-linux: Don't readd hwclock init script on upgrades
Date: Thu, 30 Dec 2010 17:19:15 +0100
[Message part 1 (text/plain, inline)]
tag 473202 patch
thanks

patch attached.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/
[0001-Dont-reenable-hwclock-initscript-if-it-was-disabled.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 16:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473202; Package util-linux. (Thu, 30 Dec 2010 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Thu, 30 Dec 2010 16:42:03 GMT) Full text and rfc822 format available.

Message #28 received at 473202@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: daniel@debian.org, 473202@bugs.debian.org
Subject: Re: Bug#473202: util-linux: Don't readd hwclock init script on upgrades
Date: Thu, 30 Dec 2010 17:39:02 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 473202 squeeze-can-defer
tag 473202 squeeze-ignore
kthxbye

On Thu, Dec 30, 2010 at 16:11:53 +0100, Daniel Baumann wrote:

> severity 473202 serious
> tag 473202 squeeze
> tag 473202 sid
> thanks
> 
> apart from the fact that it's a serious bug to not respect users which
> to have it disabled, it also breaks *all* container based virtualization
> horribly, e.g. lxc. please fix for squeeze, thanks.
> 
I'm not convinced this is RC, but in any case it's not a blocker;
tagging.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 16:42:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:14 GMT) Full text and rfc822 format available.

Forcibly Merged 195720 473202. Request was from Tollef Fog Heen <tfheen@debian.org> to control@bugs.debian.org. (Tue, 22 Feb 2011 14:45:07 GMT) Full text and rfc822 format available.

Forcibly Merged 195720 473202 478822. Request was from Tollef Fog Heen <tfheen@debian.org> to control@bugs.debian.org. (Wed, 23 Feb 2011 07:00:08 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from lamont@rover3.mmjgroup.com (LaMont Jones) to control@bugs.debian.org. (Thu, 12 May 2011 13:03:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Sun, 27 Nov 2011 17:54:07 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, and wheezy. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jul 2012 19:24:05 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jul 2012 19:24:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jul 2012 19:24:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Sat, 29 Sep 2012 17:33:05 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'serious' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 20:24:10 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 20:24:11 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Jörg Sommer <joerg@alea.gnuu.de>' from 'Jörg Sommer <joerg@alea.gnuu.de>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:27:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:28:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.